
Redmine - Defect #3846

issue edit accepts attachment even if the change is rejected because the issue has been updated by

another user

2009-09-10 23:54 - Lucas Panjer

Status: Closed Start date: 2009-09-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

If you load an issue then begin editing it, while another user submits their edit. Then you submit your note and attachment, you

receive an error message saying the issue has already been updated. Your note is not applied (this is correct), but your attachment

is uploaded to the issue (this is incorrect).

Related issues:

Related to Redmine - Feature #2621: Errors when editing an issue that was jus... Closed 2009-01-29

Associated revisions

Revision 2875 - 2009-09-12 11:59 - Jean-Philippe Lang

Fixed: issue attachments are saved even if the issue has been updated by another user (#3846).

History

#1 - 2009-09-12 06:26 - Eric Davis

- Category set to Issues

- Affected version (unused) set to devel

I can confirm this, I've seen it happen on busier systems.

#2 - 2009-09-12 11:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r2875.
